import _extends from "@babel/runtime/helpers/esm/extends";
import cx from 'classnames';
import PropTypes from 'prop-types';
import Injector from '@s-ui/react-primitive-injector';
import { CLASS_ARROW, CLASS_ARROW_DOWN, CLASS_ARROW_UP, CLASS_CONTAINER } from './config.js';
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
var MoleculeInputSelect = function MoleculeInputSelect(props) {
  var _cx;
  var onClick = props.onClick,
    iconArrow = props.iconArrowDown,
    isOpen = props.isOpen,
    disabled = props.disabled,
    children = props.children;
  var classNames = cx(CLASS_ARROW, (_cx = {}, _cx[CLASS_ARROW_DOWN] = !isOpen, _cx[CLASS_ARROW_UP] = isOpen, _cx));
  return /*#__PURE__*/_jsxs("div", {
    className: CLASS_CONTAINER,
    onClick: !disabled ? onClick : null,
    children: [/*#__PURE__*/_jsx(Injector, _extends({}, props, {
      children: children
    })), /*#__PURE__*/_jsx("span", {
      className: classNames,
      children: iconArrow
    })]
  });
};
MoleculeInputSelect.displayName = 'MoleculeInputSelect';
export default MoleculeInputSelect;